/** \file ActorDomainRecord.h 
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#ifndef ACTORDOMAINRECORD_H_
#define ACTORDOMAINRECORD_H_


/* Class Name:		ActorDomainRecord
 * Author: 			Marco Romagnoli
 * Description:	Base record of the info in the real time domain.
 */

#include <string>
#include "Constants.h"
#include "StringTokenizer.h"

namespace rtaixml_domain
{

class ActorDomainRecord
{
	// Constructor and Destructor
	public:
		ActorDomainRecord();
		ActorDomainRecord(std::string,std::string,std::string,int,std::string);
		virtual ~ActorDomainRecord();
	
	private:		
		//Slave server name (ex-rtaixml)
		std::string sSlaveName;
		//Session id instantiated for the required connection
		std::string sSessionId;
		
		//RtaiLab target name
		std::string sTargetName;
		
		//XML port of the slave server 
		//the even port are the XML and the odd ones the SOCKET
		int iPortXML;

		//IP where Slave server and target are running
		std::string sIP;
		
	public:
		std::string getSlaveName();
		void setSlaveName(std::string);
		
		std::string getSessionId();
		void setSessionId(std::string);
		
		std::string getTargetName();
		void setTargetName(std::string);
		
		int getPortXML();
		void setPortXML(int);
		
		std::string getIP();
		bool setIP(std::string);
		
};

}

#endif /*ACTORDOMAINRECORD_H_*/
