/** \file SlaveInfo.h 
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#ifndef SLAVEINFO_H_
#define SLAVEINFO_H_

#include <string> 

namespace rtaixml_domain
{

/**
 * This class provides the basic info about the slave server
 */
class SlaveInfo
{
	private:
		std::string sName;
		int iPortXML;
		std::string sIP;
		
	public:
		virtual ~SlaveInfo();
		SlaveInfo();
		SlaveInfo(std::string, int);
		
		inline std::string getName() {return sName;};
		inline void setName(std::string sN) {sName=sN;};

		inline int getPortXML() {return iPortXML;};
		inline void setPortXML(int iPort) {iPortXML=iPort;};

		inline std::string getIP() {return sIP;};
		
};

}

#endif /*SLAVEINFO_H_*/
