/** \file Digital_Manager.h  
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#include "slave.h"

namespace rtaixml_domain {


class Digital_Manager
{
	public:
		Digital_Manager(int,Target_Leds_T *);
		~Digital_Manager();
		void Start_Digital(int);
		void Stop_Digital(int);
		int Get_Digital(int);
		void ResetAll();
		void SetAll();
		unsigned int DigitalNumber();
		bool Get_Trigger(unsigned int);
		bool Set_Trigger(unsigned int, bool);
		void SetAllTrigger();
	private:
		int *Save_Flag;
		int *Trigger_Flag;
		
		int Num_Leds;
		Target_Leds_T *Leds;
};

} //end namespace rtaixml_domain
