/** \file Signal_Manager.h  
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#include "slave.h"

namespace rtaixml_domain {


class Signal_Manager
{
	public:
		Signal_Manager(int,Target_Scopes_T *);
		~Signal_Manager();
		void Start_Signal(int);
		void Stop_Signal(int);
		int Get_Signal(int);
		void ResetAll();
		void SetAll();
		unsigned int SignalNumber();
		int Get_Dec(unsigned int);
		int Set_Dec(unsigned int, unsigned int);
		void SetAllDec();
	private:
		int *Save_Flag;
		int *Dec_Flag;
		int Num_Scopes;
		Target_Scopes_T *Scopes;
};

} //end namespace rtaixml_domain
